Name: kfgqpc-fonts
%define fontname kfgqpc
%define fontdir %{_datadir}/fonts/%{fontname}
Summary: Uthman Taha Naskh Font from King Fahd Glorious Quran Printing Complex.
URL: http://fonts.qurancomplex.gov.sa/
Version: 0.08
Release: 1%{?dist}
License: redistributable
Source0: http://fonts.qurancomplex.gov.sa/download/UthmanTN1_Ver08.zip
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Group: User Interface/X

%description
This package contains fonts for the display of Arabic from the Quran Complex.
After installation you will see the font under name "KFGQPC Uthman Taha Naskh".
It also contains a bold variant.
%prep
%setup -q -c %{name}

%build
%install
rm -rf %{buildroot} 
install -m 0755 -d %{buildroot}%{fontdir}
cp -t %{buildroot}%{fontdir} *.otf

%clean
rm -rf %{buildroot}


%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{fontdir}-core
fi
%postun

if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{fontdir}-core
  fi
fi

%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%{fontdir}/*.otf

%changelog
* Wed Jun 2 2010 Muayyad Salah Alsadi <alsadi@ojuba.org> - 0.08-1
- update to 08

* Wed Sep 9 2009 Muayyad Salah Alsadi <alsadi@ojuba.org> - 0.07-2
- add Bold variant Sameek

* Wed Sep 9 2009 Muayyad Salah Alsadi <alsadi@ojuba.org> - 0.07
- update to 07

* Wed Jan 28 2009 Muayyad Salah Alsadi <alsadi@ojuba.org> - 0.06
- Initial Packaging

